#ifndef PMERGEME_HPP
# define PMERGEME_HPP

# include <vector>
# include <deque>
# include <string>
# include <stdexcept>
# include <iostream>
# include <ctime>
# include <sstream>

class PmergeMe
{
    public:
        PmergeMe();
        PmergeMe(const PmergeMe &other);
        PmergeMe &operator=(const PmergeMe &other);
        ~PmergeMe();

        void run(int ac, char **av);

    private:
        std::vector<int> _vec;
        std::deque<int>  _deq;

        void parseInput(int ac, char **av);

        void sortVector();
        void sortDeque();

		void printDeque() const;
		void printVector() const;
};

#endif
